![BepInEx logo](https://i.imgur.com/MkVsTNw.png)

# BepInExPack for Green Hell PCVR

This is the [BepInEx 5.4.19](https://github.com/BepInEx/BepInEx) pack for Green Hell PCVR.

BepInEx is a general purpose framework for Unity modding.
BepInEx includes tools and libraries to

* load custom code (hereafter *plugins*) into the game on launch;
* patch in-game methods, classes and even entire assemblies without touching original game files;
* configure plugins and log game to desired outputs like console or file;
* manage plugin dependencies.

BepInEx is currently [one of the most popular modding tools for Unity on GitHub](https://github.com/topics/modding?o=desc&s=stars).

## This pack's contents

This pack is preconfigured and usable for Green Hell PCVR modding.  
In particular, the changes from base BepInEx releases are:

* Added preconfigured `BepInEx.cfg` with console enabled.
* Included an optional plugin to skip the several introduction logos and display the BepInEx plugin version in the bottom-right of the main menu.

## Installation (manual)

To this manually, do the following

1. Extract the archive into a folder. **Do not extract into the game folder.**
2. Move the contents of `BepInExPack_GHVR` folder into `<Steam Location>\steamapps\common\Green Hell VR`.
3. Check that you have installed it correctly. 
    If done correctly, your folder will look as follows

    ![BepInEx in Green Hell VR folder.](https://i.imgur.com/yfndtGp.png)


## Checking BepInEx version and load status

If BepInEx was loaded successfully into the game, you should see BepInEx version info in bottom right corner of the main menu (along with the number of plugins loaded; 1 by default)

![BepInEx version in bottom-right corner of main menu](https://i.imgur.com/HNm3SJ8.png)

## Useful links

* [BepInEx: writing basic plugin walkthrough](https://docs.bepinex.dev/articles/dev_guide/plugin_tutorial/index.html)
* [BepInEx: useful plugins for modding](https://docs.bepinex.dev/articles/dev_guide/dev_tools.html)
* [BepInEx: patching game methods at runtime](https://docs.bepinex.dev/articles/dev_guide/runtime_patching.html)

## Issues, questions, etc.

At this moment, you can use the following channels to ask for help

* [Green Hell VR Modding Discord](https://discord.gg/dhhAxUpDtF)

## Changelog

#### 5.4.19
* Initial release with BepInEx 5.4.19